Knowledge Base and Forums/General Information/ANI Announcements

ANI Sakai CLE: User Platform & Browser Compatibility

Jim Mezzanotte
posted this on February 20, 2012 10:30 AM

The ANI Sakai CLE brings together a variety of integrated technologies, which our team puts through rigorous functional, performance, and system testing processes. Our testing for all implementations of the ANI Sakai CLE focuses on computer platforms and browsers common among educational users, as outlined below.


The core Sakai CLE powering our offerings is also tested by the Sakai community following common, general principles. In our work in the Sakai community, we strongly support standards-based design and development principles.

Key

  • Supported: We have tested this platform/browser and actively support it by resolving known issues.
  • Compatible: Partially tested, but due to lack of test coverage unexpected bugs may be discovered. We make no specific quality commitments, but to our knowledge this platform/browser is usable.
  • Untested: Due to lack of test coverage unexpected bugs may be discovered. We make no quality commitments for this particular platform/browser.
  • Unsupported: This platform/browser is known to have quality issues and its usage is not recommended.



Microsoft Windows Operating System

  Windows 8 Windows 7 Windows Vista
Chrome (latest stable version) Supported Supported Untested
Firefox (latest stable version) Supported Supported Untested
Internet Explorer (IE) 11 Untested N/A N/A
IE 10 Supported Supported N/A
IE 9 N/A Supported Untested
IE 8 N/A Supported Untested
IE 7 or earlier N/A Unsupported Unsupported



Apple Macintosh Operating System

                                            OS X 10.9
"Mavericks"
OS X 10.8
"Mountain Lion"
OS X 10.7
"Lion"
OS X 10.6
"Snow Leopard"
Chrome
(latest stable version)
Supported Supported Supported Supported
Firefox
(latest stable version)
Supported Supported Supported Supported
Safari 7.0.x Supported N/A N/A N/A
Safari 6.0.x N/A Supported Supported N/A
Safari 5.1.x N/A Supported Supported Supported
Safari 5.0.x or earlier N/A Untested Untested Untested



Linux Operating System

All browsers Untested



Mobile Platforms


iOS 7.0.x

iOS 6.0.x

iOS 5.1.1.x

Android
4.1.x or later

Windows
Phone 8

Windows RT

iPhone

Untested

Untested

Untested

--

--

--

iPad

Untested

Untested

Compatible

--

--

--

Android

--

--

--

Compatible

--

--

Windows

--

--

--

--

Untested

Untested

 


Notes

  1. We strive to make all its products as accessible as possible and support Sakai community accessibility practices.
  2. Internet Explorer 8 and Internet Explorer 9 are tested in Standards Mode. Some known issues can be resolved by using Compatibility Mode (emulates IE7 behavior).


Revisions

  • Document version 3.0, posted 28 February 2014
  • Document version 2.1, posted 22 May 2013
  • Document version 2.0, posted 1 February 2013
  • Document version 1.9, posted 22 October 2012
  • Document version 1.8, posted 1 August 2012
  • Document version 1.7, posted 20 February 2012
 

Comments

User photo
Jack Dempsey
University of South Alabama

It would be nice if these tables were kept up somewhere in rSmart where we could subscribe to an RSS feed so we'd always know the latest.

April 11, 2012 03:23 PM
User photo
Laura Gekeler (Wizard Ninja)
Notre Dame

I agree Jack. That would be perfect.

April 26, 2012 09:52 AM
User photo
Nate Angell
rSmart

Good thinking Jack!

Note that you can subscribe to this RSN KB to stay in the loop on updates (see subscribe link at top right).

Perhaps you are suggesting something more automatic, like a browser-sniffing compatibility check page built into Sakai CLE/OAE itself? I think of such pages as being a requirement for platforms that demanded more on the client side (eg, Java), but maybe it wouldn't be bad to add such a feature now, even though the client platform requirements are basically: have an up-to-date browser.

May 07, 2012 02:46 PM
User photo
Laura Gekeler (Wizard Ninja)
Notre Dame

Non-logged in users don't have the subscribe button (ie, my end users). Evaluators may stumble across this page as well, which is certainly not up to date: http://www.rsmart.com/sakai/learn-more/features/system-requirements (Scroll to the bottom, there's a "The rSmart Sakai CLE - Supported Browsers" section after the server-side reqs.

June 04, 2012 09:57 AM
User photo
Jim Mezzanotte
rSmart

Hi Laura,

I inquired about providing non-logged in users with subscription capability, but unfortunately it's not possible--the system uses the email address from your RSN account to send email updates. And our apologies for that page on our web site! We've unpublished it so it can be updated.

,

 

 

June 04, 2012 01:33 PM
User photo
Laura Gekeler (Wizard Ninja)
Notre Dame

Is it time to update this page again? And can it be made available to non-logged in people?

April 22, 2013 08:30 AM
User photo
Jim Mezzanotte
rSmart

Hi Laura,

You can expect an update soon, as part of the QA for the upcoming 2.9 release (an update upon the release, or soon thereafter). In regards to accessibility for this article, it should be available to all without a login, so let me know if users are having a problem. The only limitation for non-logged in users is that they can't subscribe to articles, since the system uses account email addresses to send notification updates.

 

 

 

   

April 23, 2013 11:24 AM